using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Bliss
{
	public static class VirtualPC
	{
		[Author("Anton Delsink", "anton@delsink.com")]
		public static string[] GetVirtualPcRegisteredVirtualMachineList()
		{
			// places VPC will look for vmc files:
			string[] targetFolderList = new string[] {
				Environment.GetFolderPath(
					Environment.SpecialFolder.ApplicationData) +
						"\\Microsoft\\Virtual PC\\Virtual Machines"
				};

			List<string> targetVMCs = new List<string>();
			foreach (string targetFolder in targetFolderList)
			{
				DirectoryInfo di = new DirectoryInfo(targetFolder);
				foreach (FileInfo f in di.GetFiles("*.lnk"))
				{
					MSjogren.Samples.ShellLink.ShellShortcut lnk =
						new MSjogren.Samples.ShellLink.ShellShortcut(f.FullName);

					targetVMCs.Add(lnk.Path);
				}
			}

			return targetVMCs.ToArray();
		}
	}
}
