using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.VirtualServer.Interop;

namespace Bliss.VirtualServer.MTA
{
	[Author("Anton Delsink", "anton@delsink.com")]
	public class DvdDriveMtaProxy : IDvdDrive
	{
		private VMDVDDrive dvd;

		internal DvdDriveMtaProxy(VMDVDDrive dvd)
		{
			this.dvd = dvd;
		}

		public void AttachISO(string targetISO)
		{
			if (this.dvd.Attachment == VMDVDDriveAttachmentType.vmDVDDrive_Image)
			{
				this.dvd.ReleaseImage();
			}

			if (this.dvd.Attachment == VMDVDDriveAttachmentType.vmDVDDrive_HostDrive)
			{
				this.dvd.ReleaseHostDrive();
			}

			this.dvd.AttachImage(targetISO);
		}
	}
}
