using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.VirtualServer.Interop;
using Bliss.Threading;

namespace Bliss.VirtualServer.MTA
{
	[Author("Anton Delsink", "anton@delsink.com")]
	public class VirtualHardDiskMtaProxy : IVirtualHardDisk
	{
		private readonly VMHardDisk vhd;
		internal VMHardDisk VHD
		{
			get
			{
				MtaThreadUtil.EnforceMTA();

				return this.vhd;
			}
		}

		internal VirtualHardDiskMtaProxy(VMHardDisk vhd)
		{
			MtaThreadUtil.EnforceMTA();

			this.vhd = vhd;
		}
		public string File
		{
			get
			{
				return this.vhd.File;
			}
		}
	}
}
