using System;
using System.Collections.Generic;
using System.Text;
using Bliss.VirtualServer.MTA;
using System.Threading;
using Bliss.Threading;

namespace Bliss.VirtualServer.STA
{
	[Author("Anton Delsink", "anton@delsink.com")]
	public class DvdDriveStaProxy : IDvdDrive
	{
		private readonly DvdDriveMtaProxy proxy;

		internal DvdDriveStaProxy(IDvdDrive proxy)
		{
			MtaThreadUtil.EnforceSTA();

			if (!(proxy is DvdDriveMtaProxy)) throw new ArgumentException();

			this.proxy = (DvdDriveMtaProxy)proxy;
		}

		public void AttachISO(string targetISO)
		{
			MtaThreadUtil.EnforceSTA();

			Thread t = new Thread(delegate()
			{
				this.proxy.AttachISO(targetISO);
			});
			t.SetApartmentState(ApartmentState.MTA);
			t.Start();
			t.Join();
		}
	}
}
