using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.VirtualServer.Interop;

using Bliss.VirtualServer.MTA;
using Bliss.Threading;

namespace Bliss.VirtualServer.STA
{
	[Author("Anton Delsink", "anton@delsink.com")]
	public class VirtualHardDiskStaProxy : IVirtualHardDisk
	{
		private VirtualHardDiskMtaProxy proxy;

		internal VirtualHardDiskStaProxy(IVirtualHardDisk vhd)
		{
			MtaThreadUtil.EnforceSTA();

			if (!(vhd is VirtualHardDiskMtaProxy)) throw new ArgumentException();

			this.proxy = (VirtualHardDiskMtaProxy)vhd;
		}
		public string File
		{
			get
			{
				MtaThreadUtil.EnforceSTA();

				return
					MtaThreadUtil.GetMtaProperty<string>(
						this.proxy,
						"File");
			}
		}
	}
}
