using System;

namespace Bliss.VirtualServer
{
	/// <summary>
	/// Describes the state of a task (like SaveState) being performed 
	/// by Virtual Server.
	/// </summary>
	[Author("Anton Delsink", "anton@delsink.com")]
	public interface ITask
	{
		IVirtualServer VS { get; }
		IVirtualMachine VM { get; }

		bool IsComplete { get; }
		int Progress { get; }
		bool ProgressChanged { get; }
		void WaitForCompletion(int timeout);
		bool IsCancelable { get; }
		void Cancel();

		ITaskResult Result { get; }

		string Description { get; }

		string ToString();
	}
}
