using System;
using System.Collections.Generic;
using System.Text;

namespace Bliss.VirtualServer
{
	/// <summary>
	/// The VirtualServerManager Component exposes events for Task completion
	/// and other state changes in the server itself as well as its hosts.
	/// This EventArg describes the end-state of a Task performed by VS,
	/// including its result.
	/// </summary>
	[Author("Anton Delsink", "anton@delsink.com")]
	public class TaskCompletedEventArgs : EventArgs
	{
		#region Task
		private readonly ITask _Task;
		public ITask Task
		{
			get { return _Task; }
		}
		#endregion

		internal TaskCompletedEventArgs(ITask task)
		{
			this._Task = task;
		}
	}
	/// <summary>
	/// The VirtualServerManager Component exposes events for Task completion
	/// and other state changes in the server itself as well as its hosts.
	/// This EventArg describes a Task performed by VS,
	/// including its result.
	/// </summary>
	[Author("Anton Delsink", "anton@delsink.com")]
	public class TaskAddedEventArgs : EventArgs
	{
		#region Task
		private readonly ITask _Task;
		public ITask Task
		{
			get { return _Task; }
		}
		#endregion

		internal TaskAddedEventArgs(ITask task)
		{
			this._Task = task;
		}
	}

}
