using System;
using System.Collections.Generic;
using System.Text;

namespace Bliss.VirtualServer
{
	/// <summary>
	/// The VirtualServerManager Component exposes events for Task progress
	/// and other state changes in the server itself as well as its hosts.
	/// This EventArg describes the change in progress (usually a percentage
	/// value given as an integer) of a Task being performed by VS.
	/// </summary>
	[Author("Anton Delsink", "anton@delsink.com")]
	public class TaskProgressChangedEventArgs : EventArgs
	{
		#region Task
		private readonly ITask _Task;
		public ITask Task
		{
			get { return _Task; }
		}
		#endregion

		internal TaskProgressChangedEventArgs(ITask task)
		{
			this._Task = task;
		}
	}
}
