using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Bliss;
using Bliss.VirtualServer;

namespace Bliss.VPC
{
	public partial class PendingTasksForm : Form
	{
		private VirtualServerManager vsm;

		public PendingTasksForm()
		{
			InitializeComponent();
		}
		public PendingTasksForm(VirtualServerManager vsm)
			: this()
		{
			this.vsm = vsm;

			vsm.TaskAdded += new EventHandler<TaskAddedEventArgs>(vsm_TaskAdded);
			vsm.TaskCompleted += new EventHandler<TaskCompletedEventArgs>(vsm_TaskCompleted);
			vsm.TaskProgressChanged += new EventHandler<TaskProgressChangedEventArgs>(vsm_TaskProgressChanged);
		}

		void vsm_TaskAdded(object sender, TaskAddedEventArgs e)
		{
			lstTasks.Items.Insert(0, e.Task);
		}
		void vsm_TaskProgressChanged(object sender, Bliss.VirtualServer.TaskProgressChangedEventArgs e)
		{
			lstTasks.Items.Insert(0, e.Task);
		}
		void vsm_TaskCompleted(object sender, Bliss.VirtualServer.TaskCompletedEventArgs e)
		{
			lstTasks.Items.Insert(0, e.Task);
		}

		private void PendingTasksForm_FormClosed(object sender, FormClosedEventArgs e)
		{
			vsm.TaskAdded -= new EventHandler<TaskAddedEventArgs>(vsm_TaskAdded);
			vsm.TaskCompleted -= new EventHandler<TaskCompletedEventArgs>(vsm_TaskCompleted);
			vsm.TaskProgressChanged -= new EventHandler<TaskProgressChangedEventArgs>(vsm_TaskProgressChanged);
		}
	}
}