using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Bliss.VirtualServer;
using System.IO;

namespace Bliss.Diff
{
    public partial class DiffForm : Form
    {
        public DiffForm()
        {
            InitializeComponent();

            this.ucVhdSelector.TheVirtualServerManager = theVirtualServerManager;
        }
        private void btnDiff_Click(object sender, EventArgs e)
        {
            string newFileName = txtNewFileName.Text;
            string baseFileName = ucVhdSelector.SelectedFileName;

            if (!File.Exists(newFileName))
            {
                if (File.Exists(baseFileName))
                {
                    theVirtualServerManager.VirtualServer.CreateDifferencingVirtualHardDisk(newFileName, baseFileName);
                    if (MessageBox.Show("Done, create another?", "More?", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.No)
                    {
                        Application.Exit();
                    }
                }
                else
                {
                    MessageBox.Show("Base Disk File Not Found!", "File Not Found", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
            else
            {
                MessageBox.Show("Target file already exists!", "Duplicate Name", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
        private void btnBrowseNew_Click(object sender, EventArgs e)
        {
            if (dlgSaveFile.ShowDialog() == DialogResult.OK)
            {
                txtNewFileName.Text = dlgSaveFile.FileName;
            }
        }

        private void ucVhdSelector_FileSelected(object sender, Bliss.SharedUI.VirtualHardDiskSelectorUserControl.FileSelectedEventArg e)
        {
            txtNewFileName.Text = ucVhdSelector.SelectedFileName.Replace(".vhd", ".diff.vhd");
        }
    }
}