using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using System.Windows.Forms;

namespace Bliss.SharedUI
{
    public class StartUpHelper
    {
        /// <summary>
        /// Instantiate a new thread with its own message pump for the UI.
        /// </summary>
        /// <typeparam name="T">The Form to be instantiated and passed to Application.Run.</typeparam>
        public static void StartUserInterfaceThread<T>() where T : Form, new()
        {
            Thread uiThread = new Thread(new ThreadStart(InitUI<T>));
            uiThread.SetApartmentState(ApartmentState.STA);
            uiThread.IsBackground = false;
            uiThread.Start();
        }
        private static void InitUI<T>() where T : Form, new()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new T());
        }
    }
}
