using System;
using System.Collections.Generic;
using System.Windows.Forms;

using DTL.VirtualServer;
using System.Diagnostics;

namespace VirtualServerUI
{
	static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		//[STAThread]
		static void Main()
		{
			VirtualServerHost vs = new VirtualServerHost();

			VirtualMachineConsoleForm frmConsole = new VirtualMachineConsoleForm();
			frmConsole.VS = vs;
			Application.Run(frmConsole);
		}

		public static void LaunchVMRC(string serverName, int portNumber, string vmName)
		{
			ProcessStartInfo procInfo = new ProcessStartInfo();
			procInfo.FileName = "..\\..\\..\\VmrcClient\\bin\\debug\\vmrcClient.exe";
			procInfo.Arguments = serverName + " " + portNumber.ToString() + " \"" + vmName + "\"";

			MessageBox.Show(procInfo.Arguments);

			Process proc = new Process();
			proc.StartInfo = procInfo;
			proc.Exited += new EventHandler(proc_Exited);
			proc.Start();
		}

		static void proc_Exited(object sender, EventArgs e)
		{
			Process proc = sender as Process;
			MessageBox.Show(proc.StartInfo.Arguments);
		}
	}
}