using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

using DTL.VirtualServer;

namespace VirtualServerUI
{
	internal partial class VirtualMachineUserControl : UserControl
	{
		public VirtualMachineUserControl()
		{
			InitializeComponent();
		}
		#region VM
		private VirtualMachine _VM;
		public VirtualMachine VM
		{
			get
			{
				return _VM;
			}
			set
			{
				_VM = value;
				UpdateUI();
			}
		}
		#endregion

		#region IsSelected
		private bool _IsSelected;
		public bool IsSelected
		{
			get
			{
				return _IsSelected;
			}
			set
			{
				_IsSelected = value;
				if (_IsSelected)
				{
					this.BackColor = SystemColors.Highlight;
				}
				else
				{
					this.BackColor = SystemColors.Control;
				}
			}
		}
		#endregion
	

		private void VirtualMachineUserControl_Load(object sender, EventArgs e)
		{
		}

		private void UpdateUI()
		{
			this.lblVirtualMachineName.Text = this.VM.Name;
			this.lblVirtualMachineStatus.Text = this.VM.State.ToString();

			this.bgwThumbnail.RunWorkerAsync();
		}

		private void VirtualMachineUserControl_Click(object sender, EventArgs e)
		{
			OnSelect();
		}
		public void OnSelect()
		{
			this.IsSelected = !this.IsSelected;

			Selected(this, new EventArgs());
		}
		public delegate void VirtualMachineUserControlSelectedDelegate(object sender, EventArgs e);
		public event VirtualMachineUserControlSelectedDelegate Selected;

		private void bgwThumbnail_DoWork(object sender, DoWorkEventArgs e)
		{
			e.Result = this.VM.Thumbnail;
		}

		private void bgwThumbnail_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e)
		{
			this.picThumbnail.BackgroundImage = e.Result as Bitmap;
		}
	}
}
