using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.VirtualServer.Interop;

namespace Delsink.VirtualServer.MTA
{
	[Author("Anton Delsink", "anton@delsink.com")]
	public class HardDiskConnectionMtaProxy : IHardDiskConnection
	{
		private readonly VMHardDiskConnection conn;

		internal HardDiskConnectionMtaProxy(VMHardDiskConnection conn)
		{
			this.conn = conn;
		}
		public IVirtualHardDisk VirtualHardDisk
		{
			get
			{
				return new VirtualHardDiskMtaProxy(this.conn.HardDisk);
			}
		}
		public DriveBusType BusType
		{
			get
			{
				return (DriveBusType)this.conn.busType;
			}
		}
		public int BusNumber
		{
			get
			{
				return this.conn.busNumber;
			}
		}
		public int DeviceNumber
		{
			get
			{
				return this.conn.deviceNumber;
			}
		}
	}
}
