using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.VirtualServer.Interop;
using Delsink.VirtualServer.MTA;
using Delsink.Threading;

namespace Delsink.VirtualServer.STA
{
	[Author("Anton Delsink", "anton@delsink.com")]
	public class HardDiskConnectionStaProxy : IHardDiskConnection
	{
		private readonly HardDiskConnectionMtaProxy proxy;

		internal HardDiskConnectionStaProxy(HardDiskConnectionMtaProxy proxy)
		{
			this.proxy = proxy;
		}
		public IVirtualHardDisk VirtualHardDisk
		{
			get
			{
				MtaThreadUtil.EnforceSTA();

				return new VirtualHardDiskStaProxy(
                    MtaThreadUtil.GetMtaProperty<IVirtualHardDisk>(
                        this.proxy, "VirtualHardDisk"));
			}
		}
		public DriveBusType BusType
		{
			get
			{
				MtaThreadUtil.EnforceSTA();

				return MtaThreadUtil.GetMtaProperty<DriveBusType>(this.proxy, "BusType");
			}
		}
		public int BusNumber
		{
			get
			{
				MtaThreadUtil.EnforceSTA();

				return MtaThreadUtil.GetMtaProperty<int>(this.proxy, "BusNumber");
			}
		}
		public int DeviceNumber
		{
			get
			{
				MtaThreadUtil.EnforceSTA();

				return MtaThreadUtil.GetMtaProperty<int>(this.proxy, "DeviceNumber");
			}
		}
	}
}
