using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Delsink.VirtualServer;
using Delsink.VirtualServer.STA;

namespace Bliss.Clone
{
    public partial class VirtualMachineDiffForm : Form
    {
        public VirtualMachineDiffForm()
        {
            InitializeComponent();
        }

        private void VirtualMachineListForm_Load(object sender, EventArgs e)
        {
            RefreshVirtualMachineList();
        }

        private void RefreshVirtualMachineList()
        {
            lstVirtualMachines.Items.Clear();
            foreach (IVirtualMachine vm in this.vsm.VirtualServer.VirtualMachines)
            {
                lstVirtualMachines.Items.Add(vm);
            }
        }

        private void btnDiff_Click(object sender, EventArgs e)
        {
            IVirtualMachine targetVM = lstVirtualMachines.SelectedItem as IVirtualMachine;
            targetVM.Clone(txtOutputFolder.Text);
            RefreshVirtualMachineList();
        }

        private void lstVirtualMachines_SelectedIndexChanged(object sender, EventArgs e)
        {
            btnDiff.Enabled = (lstVirtualMachines.SelectedIndex != -1);
        }

        private void btnBrowse_Click(object sender, EventArgs e)
        {
            dlgFolderBrowser.RootFolder = Environment.SpecialFolder.MyComputer;
            dlgFolderBrowser.ShowNewFolderButton = true;
            if (dlgFolderBrowser.ShowDialog() == DialogResult.OK)
            {
                txtOutputFolder.Text = dlgFolderBrowser.SelectedPath;
            }
        }
    }
}